ghc-9.6.3: The GHC API

Safe Haskell | Safe-Inferred
Language | Haskell2010

GHC.StgToJS.Utils

Synopsis

- assignToTypedExprs :: HasDebugCallStack => [TypedExpr] -> [JExpr] -> JStat
- assignCoerce1 :: HasDebugCallStack => [TypedExpr] -> [TypedExpr] -> JStat
- assignToExprCtx :: HasDebugCallStack => ExprCtx -> [JExpr] -> JStat

# Documentation

assignToTypedExprs :: HasDebugCallStack => [TypedExpr] -> [JExpr] -> JStat Source #

assignCoerce1 :: HasDebugCallStack => [TypedExpr] -> [TypedExpr] -> JStat Source #

Assign first expr only (if it exists), performing coercions between some PrimReps (e.g. StablePtr# and Addr#).

assignToExprCtx :: HasDebugCallStack => ExprCtx -> [JExpr] -> JStat Source #